import pytest

from werkzeug.exceptions import NotImplemented as NIE

from data import model
from endpoints.appr import require_app_repo_read
from test.fixtures import app, appconfig, database_uri, init_db_path, sqlitedb_file

def test_require_app_repo_read(app):
  called = [False]

  # Ensure that trying to read an *image* repository fails.
  @require_app_repo_read
  def empty(**kwargs):
    called[0] = True

  with pytest.raises(NIE):
    empty(namespace='devtable', package_name='simple')
    assert not called[0]
